aboutsummaryrefslogtreecommitdiff
path: root/home/dot_local/share/bin/executable_yt-vod
diff options
context:
space:
mode:
authorLoek Le Blansch <loek@pipeframe.xyz>2026-08-02 14:48:29 +0200
committerLoek Le Blansch <loek@pipeframe.xyz>2026-08-02 14:48:29 +0200
commite43eb1177872f52e949fb5f0f93396ed94b0d093 (patch)
tree78b73af6a989fa2996d71b112e161b70d35081ef /home/dot_local/share/bin/executable_yt-vod
parent2f14a896e4b897bd747c24d7ad8e9e7bb3237d03 (diff)
move to chezmoi
Diffstat (limited to 'home/dot_local/share/bin/executable_yt-vod')
-rw-r--r--home/dot_local/share/bin/executable_yt-vod17
1 files changed, 17 insertions, 0 deletions
diff --git a/home/dot_local/share/bin/executable_yt-vod b/home/dot_local/share/bin/executable_yt-vod
new file mode 100644
index 0000000..0eb424d
--- /dev/null
+++ b/home/dot_local/share/bin/executable_yt-vod
@@ -0,0 +1,17 @@
+#!/bin/sh
+vid="$1"
+if [ -z "$vid" ] ; then
+ echo "usage: $0 <stream ID>"
+ exit 1
+fi
+
+url="https://youtube.com/watch?v=$vid"
+
+# download chat
+screen -d -m -S "yt-$vid-chat" -- pause yt-dlp --live-from-start --write-sub --no-download "$url"
+
+# download stream
+screen -d -m -S "yt-$vid-vod" -- pause yt-dlp --live-from-start -S ext "$url"
+
+echo "started recording! (use screen -r yt-$vid-<tab> to stop)"
+